<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerFormulas](./bitburner.bladeburnerformulas.md)

## BladeburnerFormulas interface

Bladeburner formulas

**Signature:**

```typescript
interface BladeburnerFormulas 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[skillMaxUpgradeCount(name, level, skillPoints)](./bitburner.bladeburnerformulas.skillmaxupgradecount.md)


</td><td>

Calculate the number of times that you can upgrade a skill.


</td></tr>
</tbody></table>

